package com.kingdee.eas.custom.gy.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.gy.task.*;
import com.kingdee.bos.util.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class TaskFacade extends AbstractBizCtrl implements ITaskFacade
{
    public TaskFacade()
    {
        super();
        registerInterface(ITaskFacade.class, this);
    }
    public TaskFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaskFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("2BE22BA4");
    }
    private TaskFacadeController getController() throws BOSException
    {
        return (TaskFacadeController)getBizController();
    }
    /**
     *任务执行-User defined method
     *@param osfServiceName osf服务名
     *@param data 参数数据
     */
    public void taskExecute(String osfServiceName, String data) throws BOSException
    {
        try {
            getController().taskExecute(getContext(), osfServiceName, data);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}